Remove Users from a Group (v1)

Removes users from a group listed in an ANSI or UTF-8 encoded CSV file from a group maintained in Access Control. You can use the Upload REST API to upload the file to the environment. The file format is as follows:

User Login
jdoe
john.doe@example.com

Note:

A user is removed from a group only if both of these conditions are met:

  • User logins included in the file exist in the identity domain that services the environment
  • The user is assigned to a pre-defined role in the identity domain

This API can be run only by a service administrator in the identity domain from which users are to be removed.

The presence of status -1 in the response indicates that the removal of users is in progress. Use the job status URI to determine whether the removal of users is complete. Any non-zero status except -1 indicates failure of removing users. With this API, you can see which records failed and the reason why they failed in addition to how many records passed and failed.

Required Roles

Service Administrator or any predefined role and the Access Control - Manage granular role

REST Resource

PUT /interop/rest/security/<api_version>/groups

Table 13-32 Tasks for Remove Users from Group

Task Request REST Resource
Remove users from group PUT /interop/rest/security/<api_version>/groups
Remove users from group status GET /interop/rest/security/<api_version>/jobs/<jobId>

Request

Supported Media Types: application/x-www-form-urlencoded

Table 13-33 Parameters

Name Description Type Required Default
jobtype The string should have the value REMOVE_USERS_FROM_GROUP. This value denotes that the users are being removed from the group. Form Yes None
filename

The name of the uploaded ANSI or UTF-8 encoded CSV file containing information on the users to be removed, for example, removeUsersFromGroup.csv.

The file must have been uploaded already using the Upload REST API.

Form Yes None
groupname The name of group from which the users must be removed. This group must be a pre-existing group. Form Yes None

Response

Supported Media Types: application/json

Table 13-34 Parameters

Name Description
details In the case of errors, details are published with the error string
status See Migration Status Codes
links Detailed information about the link
href Links to API call or status API
action The HTTP call type
rel Possible values: self or Job Status. If the value is set to Job Status, you can use the href to get the status
data Parameters as key value pairs passed in the request
items Details about the resource
links Details of the first URL to be requested to get the job details; rel is "Job Details"

Examples of Response Body

Example 1: Job is in Progress

{
  "links": [
    {
      "rel": "self",
      "href": "https://<BASE-URL>/interop/rest/security/<api_version>/groups",
      "data": {
        "jobType": "REST_REMOVE_USERS_FROM_GROUP",
        "filename": "<filename>"
        "groupName": "<groupName>"
      },
      "action": "PUT"
    },
    {
      "rel": "Job Status",
      "href": "https://<BASE-URL>/interop/rest/security/<api_version>/jobs/<jobID>",
      "data": null,
      "action": "GET"
    }
  ],
  "details": null,
  "status": -1,
  "items": null
}

Example 2: Job Completes with Errors

{
  "links": [
    {
      "rel": "self",
      "href": "https://<BASE-URL>/interop/rest/security/<api_version>/jobs/<jobId>",
      "data": null,
      "action": "GET"
    }
  ],
  "details": "Failed to remove users. Input file <filename> is not found. Specify a valid file name.",
  "status": 1,
  "items": null
}

Example 3: Job Completes without Errors

{
  "links": [
    {
      "rel": "self",
      "href": "https://<BASE-URL>/interop/rest/security/<api_version>/jobs/<jobId>",
      "data": null,
      "action": "GET"
    }
  ],
  "details": "Processed - 3, Succeeded - 2, Failed - 1.",
  "status": 0,
  "items": [
    {
         "UserName":"<USERNAME>","Error_Details": "User <USERNAME> is not found. Verify that the user exists."
    }
  ]
 }

Sample cURL Command Basic Auth

curl -X PUT -s -u '<USERNAME>:<PASSWORD>' -H'Content-Type: application/x-www-form-urlencoded' -d 'jobtype=REMOVE_USERS_FROM_GROUP&filename=removeUsersFromGroup.csv&groupname=GroupA' 'https://<BASE-URL>/interop/rest/security/v1/groups'

Sample cURL Command OAuth 2.0

curl -X PUT --header "Authorization: Bearer <OAUTH_ACCESS_TOKEN>" -H 'Content-Type: application/x-www-form-urlencoded' -d 'jobtype=REMOVE_USERS_FROM_GROUP&filename=removeUsersFromGroup.csv&groupname=GroupA' 'https://<BASE-URL>/interop/rest/security/v1/groups'